<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>
<div class="card">
	<div class="card-header">
		<div class="page-header-title">
			<h4>{{'epdb.admin.variables.edit_variable' | translate}}</h4>
		</div>
	</div>
	<div class="card-block">
		<form [formGroup]="updatevariable" (ngSubmit)="onSubmit()">
			<div class="dt-responsive dt-bootstrap4 row p-20">
				<div class="col-md-4 col-xl-4 form-group">
					<label class="col-form-label">{{'epdb.admin.variables.key' | translate}}</label>
					<input type="email" class="form-control" id="variable_key" formControlName="variable_key" placeholder="Key Variable">
					<span class="messages text-danger" *ngIf="!updatevariable.get('variable_key').valid && updatevariable.get('variable_key').touched">* Please Enter Key Variable</span>
				</div>
				<div class="col-md-4 col-xl-4 form-group">
					<label class="col-form-label">{{'epdb.admin.variables.value' | translate}}</label>
					<input type="email" class="form-control" id="variable_value" formControlName="variable_value" placeholder="Value Variable">
					<span class="messages text-danger" *ngIf="!updatevariable.get('variable_value').valid && updatevariable.get('variable_value').touched">* Please Enter Variable Value</span>
				</div>
				<div class="col-md-4 col-xl-4 form-group">
					<label class="col-form-label">{{'epdb.admin.variables.variabel_type' | translate}}</label>
					<select name="oStatus" class="form-control" id="variable_category" formControlName="variable_category" (change)="findCategory($event.target.value)">
						<option value="">-- {{'general.select' | translate}} --</option>
						<option *ngFor="let item of variablecategory" value={{item.Parent}}>{{item.Parent}}</option>
					</select>
					<span class="messages text-danger" *ngIf="!updatevariable.get('variable_category').valid && variable_category.get('variable_value').touched">* Please Enter Variable Category</span>
				</div>
				<div class="col-md-6 col-xl-6 form-group">
				</div>
				<div class="col-md-2 col-xl-2 form-group">
					<button type="submit" class="btn btn-success btn-md btn-block text-center">
						<i class="icofont icofont-save"></i> {{'general.btn_save_change' | translate}}
					</button>
				</div>
				<div class="col-md-2 col-xl-2 form-group">
					<button type="button" (click)="resetForm()" class="btn btn-default btn-md btn-block text-center ">
						<i class="icofont icofont-spinner-alt-3"></i> {{'general.btn_reset' | translate}}
					</button>
				</div>
				<div class="col-md-2 col-xl-2 form-group">
					<button type="button" [routerLink]="['/admin/variables/variables-list']" class="btn btn-danger btn-md btn-block text-center ">
						<i class="icofont icofont-ui-close"></i> {{'general.btn_cancel' | translate}}
					</button>
				</div>
			</div>
		</form>
	</div>
</div>